%define anolis_release 4

%global sover 3

Name:       libnsl2
Version:    2.0.0
Release:    %{anolis_release}%{?dist}
Summary:    Public client interface library for NIS(YP) and NIS+

License:    BSD and LGPLv2+
URL:        https://github.com/thkukuk/libnsl

Source0:    https://github.com/thkukuk/libnsl/archive/v%{version}.tar.gz

BuildRequires: autoconf, automake, gettext-devel, libtool, libtirpc-devel
BuildRequires: make
BuildRequires: gcc

%description
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.

%package devel
Summary: Development files for libnsl
Requires: %{name} = %{version}-%{release}
Conflicts: glibc-devel < 2.26.9000-40

%description devel
Development files for libnsl2


%prep
%setup -q -n libnsl-%{version}

%build
autoreconf -fiv

%configure \
  --disable-static

%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libnsl.so.%{sover}
%{_libdir}/libnsl.so.%{sover}.*
%{abidir}/libnsl.dump

%files devel
%{_libdir}/libnsl.so
%{_includedir}/*
%{_libdir}/pkgconfig/libnsl.pc

%changelog
* Sat Apr 8 2023 Funda Wang <fundawang@yeah.net> - 2.0.0-4
- add abi file

* Tue Mar 8 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 2.0.0-3
- Init version from upstream v2.0.0
